# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "omniauth/eve/version"

Gem::Specification.new do |spec|
  spec.name          = "omniauth-eve"
  spec.version       = Omniauth::Eve::VERSION
  spec.authors       = ["Chris Kelly"]
  spec.email         = ["chris@chris-kelly.net"]

  spec.summary       = %q{Eve Oauth2 Strategy for Omniauth}
  spec.homepage      = "https://github.com/chkelly/omniauth-eve"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'omniauth-oauth2', '~> 1.1'

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
end
